# Class ImageLoaderEvent

SWTEventObject
org.eclipse.swt.graphics.ImageLoaderEvent

public class ImageLoaderEvent extends SWTEventObject
Instances of this class are sent as a result of the incremental loading of image data.

Notes:

- The number of events which will be sent when loading images is not constant. It varies by image type, and for JPEG images it varies from image to image.
- For image sources which contain multiple images, the `endOfImage` flag in the event will be set to true after each individual image is loaded.

Since:
  1.3
See Also:
  - `ImageLoader`
  - `ImageLoaderListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`endOfImage`
If this flag is true, then the current image data has been completely loaded, otherwise the image data is only partially loaded, and further ImageLoader events will occur unless an exception is thrown
`ImageData`
`imageData`
if the `endOfImage` flag is false, then this is a partially complete copy of the current `ImageData`, otherwise this is a completely loaded `ImageData`
`int`
`incrementCount`
the zero-based count of image data increments -- this is equivalent to the number of events that have been generated while loading a particular image

## Constructor Summary

Constructors
Constructor
Description
`ImageLoaderEvent(ImageLoader source, ImageData imageData, int incrementCount, boolean endOfImage)`
Constructs a new instance of this class given the event source and the values to store in its fields.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

## Field Details

### imageData

public ImageData imageData
if the `endOfImage` flag is false, then this is a partially complete copy of the current `ImageData`, otherwise this is a completely loaded `ImageData`

### incrementCount

public int incrementCount
the zero-based count of image data increments -- this is equivalent to the number of events that have been generated while loading a particular image

### endOfImage

public boolean endOfImage
If this flag is true, then the current image data has been completely loaded, otherwise the image data is only partially loaded, and further ImageLoader events will occur unless an exception is thrown

## Constructor Details

### ImageLoaderEvent

public ImageLoaderEvent(ImageLoader source, ImageData imageData, int incrementCount, boolean endOfImage)
Constructs a new instance of this class given the event source and the values to store in its fields.

Parameters:
  `source` - the ImageLoader that was loading when the event occurred
  `imageData` - the image data for the event
  `incrementCount` - the image data increment for the event
  `endOfImage` - the end of image flag for the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event